import { l as o } from "./useMediaHelper-9de06d2e.js";
import { a as A, b as l, u as x } from "./useMediaHelper-9de06d2e.js";
import { reactive as c, toRefs as s } from "vue";
function f(i, t) {
  const r = {};
  for (const e in i)
    typeof t[e] == "string" ? r[e] = t[e] || i[e] : Array.isArray(t[e]) ? r[e] = t[e].length ? t[e] : i[e] : r[e] = {
      ...i[e],
      ...t[e]
    };
  return { ...r };
}
function y(i, t) {
  const r = c({});
  for (const n in i)
    typeof t[n] == "string" ? r[n] = t[n] || i[n] : Array.isArray(t[n]) ? r[n] = t[n].length ? t[n] : i[n] : r[n] = {
      ...i[n],
      ...t[n]
    };
  return { ...s(r) };
}
const g = {
  created: (i, t, r) => {
    const e = o.get(r, "ctx.type.__name") || "";
    return i.setAttribute("data-component", e);
  }
};
export {
  g as componentNameDirective,
  f as setDefaultValues,
  y as setReactiveDefaultValues,
  A as useBreakpoints,
  l as useMediaHelper,
  x as useScrollHandling
};
